package service

import (
	"context"
)

import (
	"google.golang.org/protobuf/types/known/emptypb"
)

import (
	"resource-server/common"
	pb "resource-server/rpc_idl/dr_resource_pb"
)

type BasicServer struct {
	pb.UnimplementedBasicServer
}

func (s *BasicServer) SoftwareInfo(_ context.Context, in *emptypb.Empty) (*pb.SoftwareInfoReply, error) {
	return &pb.SoftwareInfoReply{
		Module:  common.Module,
		Desc:    common.Desc,
		Build:   common.Build,
		Version: common.Version,
	}, nil
}
